package com.securitycontrol.system.api.domain.decision;

/**
 * @author HeiZi
 */
public class IscMenu {

    private String id;

    private String name;

    private String code;

    private String typeId;

    private String isCtrl;

    private String status;

    private String parentId;

    private String conent;

    private String createTime;

    private String pathId;

    private String pathName;


    @Override
    public String toString() {
        return "IscMenu{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", code='" + code + '\'' +
                ", typeId='" + typeId + '\'' +
                ", isCtrl='" + isCtrl + '\'' +
                ", status='" + status + '\'' +
                ", parentId='" + parentId + '\'' +
                ", conent='" + conent + '\'' +
                ", createTime='" + createTime + '\'' +
                ", pathId='" + pathId + '\'' +
                ", pathName='" + pathName + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getIsCtrl() {
        return isCtrl;
    }

    public void setIsCtrl(String isCtrl) {
        this.isCtrl = isCtrl;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getConent() {
        return conent;
    }

    public void setConent(String conent) {
        this.conent = conent;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getPathId() {
        return pathId;
    }

    public void setPathId(String pathId) {
        this.pathId = pathId;
    }

    public String getPathName() {
        return pathName;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }
}
